> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Enqueue active horizon agent task

> Accepted — enqueue signalled to the active-horizon agent.

### Path parameters

<ParamField path="workflow_id" type="string (string)" required />

### Request body

`LongHorizonTask`

<ParamField body="task_id" type="string" required />

<ParamField body="description" type="string" required />

<ParamField body="workflow_type" type="string" required />

<ParamField body="payload" type="object" required>
  Maximum serialized size: 262144 bytes.
</ParamField>

### Response

No response body. Accepted — enqueue signalled to the active-horizon agent.

### Status codes

| Code  | Meaning                                                   |
| ----- | --------------------------------------------------------- |
| `202` | Accepted — enqueue signalled to the active-horizon agent. |
| `400` | Validation error                                          |
| `401` | Unauthorized                                              |
| `404` | Not found                                                 |
| `429` | Rate limited                                              |
| `500` | Internal error                                            |

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.workstream.stateset.com/v1/workflows/active-horizon-agent/{workflow_id}/enqueue' \
    --header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
    --header 'Content-Type: application/json' \
    --data '{
    "task_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "description": "Two-person tent, green — replacement for damaged pole set.",
    "workflow_type": "ConnectorWorkflow",
    "payload": {}
  }'
  ```
</RequestExample>
